com.intellectualcrafters.plot.util

## Class ReflectionUtils.RefField

- java.lang.Object
- - com.intellectualcrafters.plot.util.ReflectionUtils.RefField

- Enclosing class:
    ReflectionUtils

      public static class ReflectionUtils.RefField
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ReflectionUtils.RefField.RefExecutor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReflectionUtils.RefClass` | `getFieldRefClass()`
    `java.lang.reflect.Field` | `getRealField()`
    `ReflectionUtils.RefClass` | `getRefClass()`
    `ReflectionUtils.RefField.RefExecutor` | `of(java.lang.Object e)` apply fiend for object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRealField

          public java.lang.reflect.Field getRealField()

      Returns:
        passed field

    - #### getRefClass

          public ReflectionUtils.RefClass getRefClass()

      Returns:
        owner class of field

    - #### getFieldRefClass

          public ReflectionUtils.RefClass getFieldRefClass()

      Returns:
        type of field

    - #### of

          public ReflectionUtils.RefField.RefExecutor of(java.lang.Object e)

      apply fiend for object
      Parameters:
        `e` - applied object
      Returns:
        RefExecutor with getter and setter